import React, { useContext, useMemo } from "react";
import { Container } from "@mui/material";
import { LokiPanel } from "./LokiPanel";
import { apiContext } from "../../../api/DeployApi";
import { useAPIMethod } from "@ess-ics/ce-ui-common";

export function LokiContainer({ csEntryId, iocName, isDeployed }) {
  const client = useContext(apiContext);

  const { value: iocHost } = useAPIMethod({
    fcn: client.apis.Hosts.findHostById,
    params: useMemo(() => ({ host_csentry_id: csEntryId }), [csEntryId])
  });

  return (
    <>
      {iocHost && (
        <Container>
          <LokiPanel
            host={iocHost}
            isSyslog={false}
            iocName={iocName}
            isDeployed={isDeployed}
          />
        </Container>
      )}
    </>
  );
}
